<?php
/*
	SMG WebGUI

	Software distributed under the License is distributed on an "AS IS" basis,
	WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
	for the specific language governing rights and limitations under the
	License.
	
	Licence information can be found within the file LICENCE.php
	
	The Original Code is SMG WebGUI

	The Initial Developer of the Original Code is
	Shaunt Libarian <shaunt@sangoma.com>

	Contributor(s):
	Shaunt Libarian <shaunt@sangoma.com>
*/
include 'database_classes.php';
session_start();

//Create Database files
include 'sqlite/database_creation.php';
$creation = new create_database;
//Checks for the database and creates it if needed
$creation->database_creation();


//To check if SMG is installed, go to the SMG path and check for ftmod_sangoma_isdn.so
$smg_path = $_SESSION['smg_root_path'] . "/mod/ftmod_sangoma_isdn.so";
$cmd = "ls " . $smg_path;

//Check if Asterisk is installed or Freeswitch is installed
if (shell_exec ("lsmod | grep dahdi > /dev/null 2>  /dev/null") == 0)
{
	$_SESSION['dahdi'] = "True";
}
elseif (shell_exec ($cmd) == 0)
{
	//echo "SMG installed";
	$_SESSION['freetdm'] = "True";
} 

//Forces the use of freeswitch
unset($_SESSION['dahdi']);
//Use ths session variable for Asterisk
//$_SESSION['dahdi'] = "True";

//Turn on both the freetdm and freeswitch sessions for freeswitch use
//$_SESSION['freeswitch'] = "True";

//Turn on the FreeTDM session for Sangoma Media Gateway
$_SESSION['freetdm'] = "True";


$output = shell_exec ("pwd");
$_SESSION['path'] = $output;

//Tokenize the path and strip eveything up to nginx
//Counter for tokens to place into an array
$total_token = 0;

$tok = strtok($output, "/");
$count = 0;

while ($tok !== false) {
	$token[$count] = $tok;
	
	//Stores the tokens in an array to be parsed
	$token_values[$total_token] = $token[$count];			
    $tok = strtok("/");
	$count++;
	$total_token++;
}	

$a = $total_token;

do
{
	$a--;
} 
while($token_values[$a] != "nginx");

for ($z = 0; $z < $a; $z++)
{
	$smg_temp_path .= "/" . $token_values[$z];
}
$_SESSION['smg_location'] = $smg_temp_path;

$smg_path = $smg_temp_path . "/conf";

//Sets the path to the SMG Configuration Folder
$_SESSION['smg_path'] = $smg_path;
$_SESSION['smg_root_path'] = $smg_temp_path;

//Redirection
header( 'Location:fusionpbx/index.php' );
?>
